#include <bits/stdc++.h>
using namespace std;

bool not_boring(int n) {
    vector<bool> seen(10,false);
    while (n) {
        if (seen[n%10]) return false;
        seen[n%10] = true;
        n /= 10;
    }
    return true;
}

int main() {
    vector<int> best(10001,123456789); // best[n] == the smallest k for n
    vector<int> first(10001,123456789); // first[n] == one optimal a_1

    best[0] = 0;
    for (int n=1; n<=10000; ++n) {
        for (int a1=1; a1<=n; ++a1) {
            if (not_boring(a1)) {
                if (1 + best[n-a1] < best[n]) {
                    best[n] = 1 + best[n-a1];
                    first[n] = a1;
                }
            }
        }
    }

    int T;
    cin >> T;
    while (T--) {
        int N;
        cin >> N;

        vector<int> answer;
        while (N > 0) {
            answer.push_back( first[N] );
            N -= first[N];
        }
        cout << answer.size();
        for (int a : answer) cout << " " << a;
        cout << endl;
    }
}
